com.h3c.sdn.misc.net

## Class ConnectionPointDTO

- java.lang.Object
- - com.h3c.sdn.misc.net.ConnectionPointDTO

- All Implemented Interfaces:
    ConnectionPoint, Serializable

      public class ConnectionPointDTO
      extends Object
      implements ConnectionPoint, Serializable

  Provides an implementation of `ConnectionPoint`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.h3c.sdn.common.ConnectionPoint

      `ConnectionPoint.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPointDTO(DataPathId dpid, BigPortNumber port, ConnectionPoint.Type type)` Creates a DTO representing a connection point on the specified datapath and port, of the specified type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataPathId` | `device()` Retrieves the datapathid associated with the referred connection point
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `BigPortNumber` | `port()` Retrieves the port number associated with the referred connection point.
    `String` | `toKeyString()`
    `String` | `toString()`
    `ConnectionPoint.Type` | `type()` Retrieves the type (infrastructure or edge) of connection point.
    `static ConnectionPointDTO` | `valueOf(String data)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPointDTO

          public ConnectionPointDTO(DataPathId dpid,
                            BigPortNumber port,
                            ConnectionPoint.Type type)

      Creates a DTO representing a connection point on the specified datapath and port, of the specified type.
      Parameters:
        `dpid` - the target datapath
        `port` - the port number
        `type` - the connection point type
      Throws:
        `NullPointerException` - if any parameter is null

  - ### Method Detail

    - #### device

          public DataPathId device()

      Description copied from interface: `ConnectionPoint`
      Retrieves the datapathid associated with the referred connection point
      Specified by:
        `device` in interface `ConnectionPoint`
      Returns:
        dpid the controller learnt switch or datapath

    - #### type

          public ConnectionPoint.Type type()

      Description copied from interface: `ConnectionPoint`
      Retrieves the type (infrastructure or edge) of connection point.
      Specified by:
        `type` in interface `ConnectionPoint`
      Returns:
        the type of the referred connection point

    - #### port

          public BigPortNumber port()

      Description copied from interface: `ConnectionPoint`
      Retrieves the port number associated with the referred connection point.
      Specified by:
        `port` in interface `ConnectionPoint`
      Returns:
        the port number

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toKeyString

          public String toKeyString()

    - #### valueOf

          public static ConnectionPointDTO valueOf(String data)

Copyright © 2014. All Rights Reserved.